QGIS Application - Bug report #6214
Symbol Selector issue
2012-08-16 08:58 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee: Arunmozhi P

Category: GUI

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 15527
Description

When | go into Style->Categorised, and then double click a polygon for styling | end up in symbol selector. This has a number of saved
styles, however none of the names that I've given them show up under them. Its fairly obvious they should probably be there because
when | select on there's a small box under it that is clearly for the text title.

The "Style Manager" has the namers under them.

Associated revisions

Revision 8371872 - 2012-12-28 12:44 PM - Nathan Woodrow

Fix #6214. Show names under symbols

History

#1 - 2012-08-20 10:47 PM - Alister Hood
- File symbol_selector.PNG added

For some reason (or maybe not :) ) the name of the selected symbol is shown underneath the whole widget (circled in attached screenshot).

Showing the names under each symbol would definitely be better:

- a lot of people won't notice the name where it is currently.

- sometimes you need to see the name to be able to identify the right symbol, because to make symbols a sensible size for printing they are often too small
in this dialogue to distinguish between a circle or a square for example. (Yes, | realise this is another issue, but showing the labels would be a simple way
to improve the situation). One of my symbols in the top line in the attached screenshot is a square. Can you tell which one? ;)

- itis a lot more useful if you can see all the names without having to click on each symbol.

#2 - 2012-08-21 02:46 AM - Giovanni Manghi
- Category set to GUI
- Target version set to Version 2.0.0

#3 - 2012-08-27 08:40 PM - Nathan Woodrow

- Assignee set to Arunmozhi P

| agree. Arun can you change this to make it consistent with symbol manager.

#4 - 2012-08-28 06:20 AM - Arunmozhi P
- Resolution set to fixed
- % Done changed from 0 to 100

- Status info set to Done

Refer https://github.com/ggis/Quantum-GIS/pull/218

#5 - 2012-08-28 09:38 AM - Etienne Tourigny

| previously raised an issue about the name not appearing to another dev (was it Martin or Nathan), and his argument for doing it that way was that long

symbol name would cause the tiel of item to be really large.
Now current behavior is to shorten name and show it as a tooltip. While Arun's fix is consistent with new style manager, I'm not sure it's a great approach

(see attached screenshots) because you can't make out the names. One solution would be to add the label to the bottom (as previously), but keep the

tooltip and also shorten the name. Or perhaps allow for 2-line labels with a maximum width?

#6 - 2012-08-28 09:38 AM - Etienne Tourigny

- Resolution deleted (fixed)

- % Done changed from 100 to 50

#7 - 2012-08-28 10:37 AM - Arunmozhi P

There is no need to show the same text in three different ways. Since the problem is about inadequate space to accommodate text, | did a bit of testing and
figured out that the present grid size based upon my font size of 10, with which | am comfortable in reading most symbol names. But not when font gets
increased to 12 or 14. Hence | think setting a dynamic grid size of about 10chars*font size would fix the visibility.

#8 - 2012-08-28 03:24 PM - Nathan Woodrow

Etienne Tourigny wrote:

| previously raised an issue about the name not appearing to another dev (was it Martin or Nathan), and his argument for doing it that way was that

long symbol name would cause the tiel of item to be really large.

Now current behavior is to shorten name and show it as a tooltip. While Arun's fix is consistent with new style ?manager, I'm not sure it's a great

approach (see attached screenshots) because you can't make out the names. One solution would be to add the label to the bottom (as previously),

but keep the tooltip and also shorten the name. Or perhaps allow for 2-line labels with a maximum width?

It might have been Martin, | have always wanted to see the symbol names under the symbols. Arun if you can workout something so we can have long

names but also be readable that would be good.

#9 - 2012-08-28 11:57 PM - Martin Dobias

| also want symbol names under the symbols :-) Having the label for currently selected symbol below the whole list looks weird!

If there are no simple solutions we could write a delegate for the symbol selector and style manager to behave as we need.

#10 - 2012-10-11 10:16 AM - Arunmozhi P
https://github.com/qgis/Quantum-GIS/pull/218

- % Done changed from 50 to 0
#11 - 2012-12-28 03:46 AM - Nathan Woodrow
- Status changed from Open to Closed

Fixed in changeset commit:"837f1872fdc108e679f1d52d7701135526de4aa9".
